Futures Cross

Get transfers

GET/futures/cross/transfersPrivate

Get the transfers history for the cross margin position (deposits to and withdrawals from the cross margin account). Positive amounts are deposits, negative amounts are withdrawals.

Permissions: futures:cross:read

Query Parameters

from?string

Start date, unix epoch 0 by default

Formatdate-time
Default"1970-01-01T00:00:00.000Z"
to?string

End date, default to current time

Formatdate-time
Default"2026-09-12T10:28:28.256Z"
limit?integer

Number of entries to return, default to 1000

Range1 <= value <= 1000
Default1000
cursor?string

Cursor for pagination

Formatdate-time

Response Body

OK

application/json
  1. response
data*array<>
nextCursor*|

Cursor to use for fetching the next page of results. Pass this value as the cursor parameter in the next request. Returns null when there are no more results.

import { createHttpClient } from '@ln-markets/sdk/rest/v3'const client = createHttpClient({  key: 'your-key',  secret: 'your-secret',  passphrase: 'your-passphrase',})const result = await client.futures.cross.getTransfers({  from: '1970-01-01T00:00:00.000Z',  to: '2026-09-12T10:28:26.634Z',  limit: 500})
{  "data": [    {      "id": "69c09d09-8ce9-446b-a3c6-455fed8b3048",      "amount": 10,      "time": "2024-02-07T14:58:12.272Z"    }  ],  "nextCursor": "2024-01-15T10:30:00.000Z"}